Confronta le versioni

Compatibilità di AJAX

Versione 263666:

Versione 263666 di Federico del

Versione 230932:

Versione 230932 di Federico del

Titolo:
Compatibilità di AJAX
Compatibilità di AJAX
Slug:
Compatibilità_di_AJAX
Compatibilità_di_AJAX
Etichette:
AJAX, Tutte_le_categorie
Contenuto:

Versione 263666
Versione 230932
t7    <p>t
8      I browser supportano <a href="it/AJAX">AJAX</a> se supporta
>no la classe <a href="it/XMLHttpRequest">XMLHttpRequest</a>, che  
>è l'oggetto che consente di leggere un documento <a href="it/XML" 
>>XML</a> ben formato. 
9    </p>
10    <p>
11      Gli screen reader non lo supportano. Pertanto, se si deside
>ra che un sito sia accessibile ai non vedenti (come sarebbe giust 
>o), occorre crearne una versione che non utilizzi AJAX. 
12    </p>
13    <p>
14      Internet Explorer, il browser Microsoft, è forse l'unico br
>owser visuale a non supportare XMLHttpRequest. Hanno scelto di su 
>pportare invece un oggetto alternativo; poichè sono gli unici a s 
>upportare tale oggetto alternativo, il W3C non lo ha preso in con 
>siderazione, iniziando invece il processo di standardizzazione di 
> XMLHttpRequest. Chi volesse rendere le pagine AJAX accessibili a 
>nche agli utenti di Internet Explorer, può utilizzare il codice s 
>eguente: 
15    </p>
16    <pre class="eval">
17if (window.XMLHttpRequest) {
18   http_request = new XMLHttpRequest();
19} else if (window.ActiveXObject) { // IE
20   http_request = new ActiveXObject("Microsoft.XMLHTTP");
21} else {
22   alert('Impossibile continuare: il tuo browser non supporta XML
>HttpRequest'); 
23}
24</pre>
25    <p>
26      Vale inoltre la pena di precisare che, sebbene Microsoft ab
>bia fatto i suoi primi tentativi di supporto di AJAX nella versio 
>ne 4.0 di Internet Explorer, di fatto è quasi impossibile creare  
>script che funzionino correttamente con versioni precedenti alla  
>5.5. 
27    </p>
28    <p>
29      Mozilla ha iniziato a supportare XMLHttpRequest nella versi
>one 1.0 e Firefox nella 0.1, ma un buon supporto esiste dalla 0.8 
>. 
30    </p>
31    <p>
32      Netscape lo supporta dalla 7.0 e Safari dalla 1.2.
33    </p>

Torna allo storico